<a
  mat-list-item
  *ngIf="!!item"
  [ngStyle]="{ 'padding-left': depth * 24 + 'px' }"
  (click)="onItemSelected(item)"
  [ngClass]="{
    active: stateService.current.name === item.route,
    expanded: expanded
  }"
  [isVisibleTo]="item.isVisibleTo"
>
  <mat-icon *ngIf="item.icon" class="routeIcon">{{ item.icon }}</mat-icon>
  <span>{{ item.label }}</span>
  <span fxFlex *ngIf="item.children && item.children.length">
    <span fxFlex></span>
    <mat-icon [@indicatorRotate]="expanded ? 'expanded' : 'collapsed'">
      expand_more
    </mat-icon>
  </span>
</a>
<div *ngIf="expanded">
  <dbe-nested-menu
    *ngFor="let child of item.children"
    [item]="child"
    [depth]="depth + 1"
  >
  </dbe-nested-menu>
</div>
